%define		subver	2015-04-12
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		eventum
%define		php_min_version 5.0.0
Summary:	DokuWiki Eventum Plugin
Summary(pl.UTF-8):	Wtyczka Include (dołączania) dla Eventum
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/eventum/dokuwiki-plugin-eventum/releases/download/%{subver}/%{plugin}-%{subver}.tar.gz
# Source0-md5:	f0dadf05bea1f0d896b83ef1005ecb13
URL:		https://www.dokuwiki.org/plugin:eventum
BuildRequires:	rpmbuild(macros) >= 1.520
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	dokuwiki >= 20080505
Requires:	php(core) >= %{php_min_version}
Requires:	php(date)
Requires:	php-pear-XML_RPC
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		dokucache	/var/cache/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Adds Eventum link button to edit toolbar.

Also adds extra info to Eventum interwiki links fetched from Eventum
via XML_RPC.

%prep
%setup -qc
mv %{plugin}/* .

version=$(awk '/date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{plugindir},%{dokucache}}
cp -a . $RPM_BUILD_ROOT%{plugindir}
rm -r $RPM_BUILD_ROOT%{plugindir}/XML
touch $RPM_BUILD_ROOT%{dokucache}/%{plugin}.cache

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js/css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi
# purge eventum cache
rm -f %{dokucache}/%{plugin}.cache

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/*.css
%{plugindir}/conf
%{plugindir}/images
%ghost %{dokucache}/%{plugin}.cache
%changelog
* Sun Apr 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-eventum.git;a=log;h=master

* Sun Apr 12 2015 Elan Ruusamäe <glen@delfi.ee> a370956
- up to 2015-04-12, purge cache when upgrading

* Mon Feb 02 2015 Elan Ruusamäe <glen@delfi.ee> a3a4c7f
- php deps

* Mon Feb 02 2015 Elan Ruusamäe <glen@delfi.ee> 6488f07
- fix rpm5 url

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 48c899e
- BR: unzip

* Thu Nov 25 2010 Elan Ruusamäe <glen@pld-linux.org> d9566ee
- package mysterically lost from th, rebuild

* Fri Nov 05 2010 Elan Ruusamäe <glen@pld-linux.org> 77628f0
- use actual release archive

* Fri Nov 05 2010 Elan Ruusamäe <glen@pld-linux.org> 642c4c9
- up to 20101105, icon now in plugin dir

* Sat Oct 02 2010 Elan Ruusamäe <glen@pld-linux.org> edc5727
- fix addresses

* Sat Oct 02 2010 Elan Ruusamäe <glen@pld-linux.org> ad1f8a3
- up to 20101002

* Sat Oct 02 2010 Elan Ruusamäe <glen@pld-linux.org> 4e63445
- switch to github source

* Tue Sep 28 2010 Elan Ruusamäe <glen@pld-linux.org> de06070
- up to 20100928

* Mon Sep 27 2010 Elan Ruusamäe <glen@pld-linux.org> 1cbc209
- up to 20100927

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 61cd669
- decrease sort to 390. issue 22731

* Thu Dec 04 2008 Elan Ruusamäe <glen@pld-linux.org> 28ff99e
- 20081202: add XML_RPC info fetching from eventum

* Fri Sep 26 2008 Elan Ruusamäe <glen@pld-linux.org> 8b1eb11
- fix tagging

* Tue Sep 09 2008 Elan Ruusamäe <glen@pld-linux.org> d755f27
- there should be tab, not space

* Tue Sep 09 2008 Elan Ruusamäe <glen@pld-linux.org> 242a2a0
- update plugin to work with dokuwiki 20080505. issue 19410

* Tue Mar 04 2008 Elan Ruusamäe <glen@pld-linux.org> 73ab17f
- link issue interwiki icon

* Tue Mar 04 2008 Elan Ruusamäe <glen@pld-linux.org> ef792ce
- new

